Package org.eclipse.emf.cdo.common.admin

## Interface CDOAdminRepository

- All Superinterfaces:
    `CDOCommonRepository`, `CDOTimeProvider`, `IAdaptable`, `org.eclipse.net4j.util.event.INotifier`
  All Known Subinterfaces:
    `CDOAdminClientRepository`

      public interface CDOAdminRepository
      extends CDOCommonRepository, org.eclipse.net4j.util.event.INotifier

  An administrative interface to a remote `repository`.
  Since:
    4.1
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `CDOCommonRepository.CommitInfoStorage, CDOCommonRepository.IDGenerationLocation, CDOCommonRepository.ListOrdering, CDOCommonRepository.State, CDOCommonRepository.StateChangedEvent, CDOCommonRepository.Type, CDOCommonRepository.TypeChangedEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `delete​(java.lang.String type)` | Deletes the remote `repository` administered by this administrative interface.
    `CDOAdmin` | `getAdmin()` |
    `long` | `getTimeStamp()` | May be unsupported on the client side.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `getCommitInfoStorage, getCreationTime, getIDGenerationLocation, getName, getObjectIDTypes, getRootResourceID, getState, getStoreType, getType, getUUID, isAuthenticating, isAuthorizingOperations, isEnsuringReferentialIntegrity, isSerializingCommits, isSupportingAudits, isSupportingBranches, isSupportingEcore, isSupportingUnits, waitWhileInitial`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getAdmin

          CDOAdmin getAdmin()

    - #### delete

          boolean delete​(java.lang.String type)

      Deletes the remote `repository` administered by this administrative interface.

      On the server-side the deletion is delegated to an instance of `org.eclipse.emf.cdo.server.spi.admin.CDOAdminHandler` that is registered with the server's `container` under the given `type` argument.

    - #### getTimeStamp

          long getTimeStamp()
                     throws java.lang.UnsupportedOperationException

      May be unsupported on the client side.
      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`
      Throws:
        `java.lang.UnsupportedOperationException`